Package org.flowable.bpmn.model

# Class DoubleDataObject

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.DataObject
org.flowable.bpmn.model.ValuedDataObject
org.flowable.bpmn.model.DoubleDataObject

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class DoubleDataObject extends ValuedDataObject

Author:
  Lori Small

- ## Field Summary

  ### Fields inherited from class org.flowable.bpmn.model.ValuedDataObject

  `value`

  ### Fields inherited from class org.flowable.bpmn.model.DataObject

  `itemSubjectRef`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleDataObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DoubleDataObject`
  `clone()`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class org.flowable.bpmn.model.ValuedDataObject

  `equals, getType, getValue, hashCode, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.DataObject

  `getItemSubjectRef, setItemSubjectRef, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleDataObject

    public DoubleDataObject()

- ## Method Details

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in class `ValuedDataObject`

  - ### clone

    public DoubleDataObject clone()
    Specified by:
      `clone` in class `ValuedDataObject`